org.eclipse.ecf.filetransfer

## Class InvalidFileRangeSpecificationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.core.runtime.CoreException
      - - org.eclipse.ecf.core.util.ECFException
        - - org.eclipse.ecf.filetransfer.IncomingFileTransferException
          - - org.eclipse.ecf.filetransfer.InvalidFileRangeSpecificationException

All Implemented Interfaces:
  Serializable

    public class InvalidFileRangeSpecificationException
    extends IncomingFileTransferException

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`InvalidFileRangeSpecificationException(IFileRangeSpecification rangeSpec)`
`InvalidFileRangeSpecificationException(org.eclipse.core.runtime.IStatus status, IFileRangeSpecification rangeSpec)`
`InvalidFileRangeSpecificationException(String message, IFileRangeSpecification rangeSpec)`
`InvalidFileRangeSpecificationException(String message, Throwable cause, IFileRangeSpecification rangeSpec)`
`InvalidFileRangeSpecificationException(Throwable cause, IFileRangeSpecification rangeSpec)`

### Method Summary

All Methods Instance Methods Concrete Methods
`IFileRangeSpecification` `getFileRangeSpecification()`

### Methods inherited from class org.eclipse.ecf.filetransfer.IncomingFileTransferException

`getErrorCode, getResponseHeaders`

### Methods inherited from class org.eclipse.core.runtime.CoreException

`getCause, getStatus, printStackTrace, printStackTrace, printStackTrace`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### InvalidFileRangeSpecificationException

    public InvalidFileRangeSpecificationException(IFileRangeSpecification rangeSpec)

Parameters:
  `rangeSpec` - rangeSpec

#### InvalidFileRangeSpecificationException

    public InvalidFileRangeSpecificationException(org.eclipse.core.runtime.IStatus status,
                                                  IFileRangeSpecification rangeSpec)

Parameters:
  `status` - status
  `rangeSpec` - range spec

#### InvalidFileRangeSpecificationException

    public InvalidFileRangeSpecificationException(String message,
                                                  Throwable cause,
                                                  IFileRangeSpecification rangeSpec)

Parameters:
  `message` - message
  `cause` - cause
  `rangeSpec` - range spec

#### InvalidFileRangeSpecificationException

    public InvalidFileRangeSpecificationException(String message,
                                                  IFileRangeSpecification rangeSpec)

Parameters:
  `message` - message
  `rangeSpec` - range spec

#### InvalidFileRangeSpecificationException

    public InvalidFileRangeSpecificationException(Throwable cause,
                                                  IFileRangeSpecification rangeSpec)

Parameters:
  `cause` - cause
  `rangeSpec` - range spec

### Method Detail

#### getFileRangeSpecification

    public IFileRangeSpecification getFileRangeSpecification()